

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams, ToastController} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {SampleFormPage} from '../sample-form/sample-form';
@IonicPage()
@Component({
    selector: 'page-sampel',
    templateUrl: 'sampel.html',
})
export class SampelPage {
    mask = [/\d/, '-', /\d/, '-', /\d/, '-', /\d/, '-', /\d/, '-', /\d/];
    pin: string;
    pinSalah: boolean;
    userVerifikasi = {
        pin: ""
    };
    resposeData: any;
    constructor(public navCtrl: NavController,
        public navParams: NavParams,
        public authService: AuthService,
        private toastCtrl: ToastController) {
        this.pin = "";
        this.userVerifikasi.pin = "";
        this.pinSalah = false;
    }

    verifikasi_pin() {
        if (this.pin == "") {
            this.presentToast("Silahkan PIN anda terlebih dahulu.");
        }
        else {
            this.userVerifikasi.pin = this.pin.replace(/-/g, "");
            console.log(this.userVerifikasi);
            this.authService.postData(this.userVerifikasi, "verifikasiPIN").then(
                result => {
                    this.resposeData = result;
                    if (this.resposeData.DataUser) {
                        this.navCtrl.push(SampleFormPage);
                    } else {
                        this.pinSalah = true;
                    }
                },
                err => {
                    this.presentToast("Gagal terhubung ke server.");
                }
            );
        }
    }

    presentToast(msg) {
        let toast = this.toastCtrl.create({
            message: msg,
            duration: 3000
        });
        toast.present();
    }

}
